### Constant

# GLib OPTION_REMAINING

since: 2.0

#### Declaration

    #define G_OPTION_REMAINING ""

#### Description

If a long option in the main group has this name, it is not treated as a regular option. Instead it collects all non-option arguments which would otherwise be left in `argv`. The option must be of type `G_OPTION_ARG_CALLBACK`, `G_OPTION_ARG_STRING_ARRAY` or `G_OPTION_ARG_FILENAME_ARRAY`.

Using `G_OPTION_REMAINING` instead of simply scanning `argv` for leftover arguments has the advantage that GOption takes care of necessary encoding conversions for strings or filenames.

Available since: 2.0